Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Eli Zaretskii <[email-masked]>
Date: Wed, 31 Mar 2021 14:10:28 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Wed, 31 Mar 2021 10:33:43 +0000
> 
> > Oh, I see: it's because batch-native-compile runs the final
> > compilation phase in a subprocess.  But doesn't that mean the
> > non-default setting of comp-debug will not have its effect in this
> > case?
> 
> `comp-debug' at that point is captured in the compilation context
> `comp-ctxt', we have a slot for that in the structure.

Each FILE compiled via batch-native-compile leaves in my temp
directory a file whose name is
emacs-int-compile-FILE-XXXXX-YYYYY-NNNNN.el.  I see this file created
in comp-final, but where is it deleted?  Should we delete it once
call-process returns?